version: '2'
services:
  gitsearch-mysql:
    image: mysql:8.0.20
    # volumes:
    #     - ~/volumes/jhipster/gitsearch/mysql/:/var/lib/mysql/
    environment:
      - MYSQL_USER=root
      - MYSQL_ALLOW_EMPTY_PASSWORD=yes
      - MYSQL_DATABASE=gitsearch
    ports:
      - 3307:3306
    command: mysqld --lower_case_table_names=1 --skip-ssl --character_set_server=utf8mb4 --explicit_defaults_for_timestamp
